%define upstream_name	 PerlIO-via-dynamic
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl module that helps creating dynamic PerlIO layers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildArch:  noarch

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers.
It is useful when the behavior or the layer depends on variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/*
%{_mandir}/man3/* 

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1031979
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 949807
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 790443
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 740216
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 685964
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 514159
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 371793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 315817
- update to 0.14

* Sat Jan 22 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 32345
- mageia rebuild
- imported package perl-PerlIO-via-dynamic


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 407961
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13-4mdv2009.0
+ Revision: 268710
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Olivier Thauvin <nanardon@mandriva.org> 0.13-3mdv2009.0
+ Revision: 214244
- 0.13
- update buildrequires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.12-3mdv2008.0
+ Revision: 64194
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.12-2mdv2008.0
+ Revision: 25178
- rebuild


* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-1mdk
- New release 0.12
- use mkrel

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.11-2mdk
- rebuild for new perl

* Tue Sep 21 2004 Michael Scherer <misc@mandrake.org> 0.11-1mdk
- New release 0.11

* Tue Aug 31 2004 Michael Scherer <misc@mandrake.org> 0.02-2mdk 
- rebuild for new perl ( [DIRM] )

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.02-1mdk 
- First MandrakeSoft Package

